	SUBROUTINE INTRPT(IDS)
C  This module contains confidential & proprietary code written by Siemens.
C  This is the interrupt control code pulled out of the VAX version of
C  STSC.FTN 18-nov-87.
	INCLUDE '[102,2]INP.COM'
	INTEGER*2 IDS
C
	INCLUDE	'($SSDEF)/NOLIST'
	INCLUDE	'($IODEF)/NOLIST'
	COMMON	/MBXCHA/MBXCOM			!DJH 2SEP87
	INTEGER*2	MBXCOM
	INTEGER*4	SYS$CLREF,STATUS,SYS$READEF,SYS$QIOW,ILEN,IOSB(2)
	1		,STATE,TIMVAL
	CHARACTER*60	STRING
C
C*************************
C	VMS modifications
C
	STATUS=SYS$READEF(%VAL(96),STATE)
	IF(.NOT.STATUS)GO TO 100 !dont worry about errors
	IF(STATUS.EQ.SS$_WASCLR)GO TO 100
	STRING=' '
	ILEN=60
	TIMVAL=5
	STATUS=SYS$QIOW(,
	1		%VAL(MBXCOM),
	1		%VAL(IO$_READVBLK.OR.IO$M_NOW),
	1		%REF(IOSB),
	1		,
	1		,
	1		%REF(STRING),
	1		%VAL(ILEN),
	1		%VAL(TIMVAL),
	1		,
	1		,)
C
C	dont worry about errors at this point
C
C**************************
C
	IF(STRING(1:9).EQ.'INTERRUPT') THEN   ! MK 27/1/87 DJH 
		IF(STRING(11:13).EQ.'JCT')THEN
			IDS = -360                   ! MK 27/1/87 DJH 
		ELSE
			IDS=  -350
		ENDIF
		GOTO 10000                   ! MK 27/1/87 DJH
	ENDIF                                ! MK 27/1/87 DJH
C
C	if you reach this point something has gone wrong clear the
C	eventflag and wait for another try dont worry about errors
C
	STATUS=SYS$CLREF(%VAL(96))
C
100	IDS = 0
10000	RETURN
	END
